{
  "version": "0.2.0",
  "configurations": [
    {
      "type": "node",
      "request": "launch",
      "name": "启动React项目",
      "runtimeExecutable": "npm",
      "runtimeArgs": ["run-script", "dev"]
    },
    {
      "type": "node",
      "request": "launch",
      "name": "预览React项目",
      "runtimeExecutable": "npm",
      "runtimeArgs": ["run-script", "preview"]
    },
    {
      "type": "chrome",
      "request": "launch",
      "name": "调试Chrome4173",
      "url": "http://localhost:4173",
      "webRoot": "${workspaceFolder}"
    },
    {
      "type": "chrome",
      "request": "launch",
      "name": "调试Chrome5173",
      "url": "http://localhost:5173",
      "webRoot": "${workspaceFolder}"
    }
  ],
  "compounds": [
    {
      "name": "Launch Next Dev Server and Chrome",
      "configurations": ["启动React项目", "调试Chrome5173"]
    },
    {
      "name": "Preview on Chrome",
      "configurations": ["预览React项目", "调试Chrome4173"]
    }
  ]
}
